<?php
/**
 * Controller to handling updating general options
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPOptz_Ajax_General' ))
{
	class IPOptz_Ajax_General
	{
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $error = false;
      if ( ! empty( $_POST['remove_rsd_link'] )) {
        $path = sanitize_title( $_POST['remove_rsd_link'] );
        update_option( '__ipoptz_remove_rsd_link', $path );
      }
      if ( ! empty( $_POST['remove_wp_shortlink'] )) {
        $path = sanitize_title( $_POST['remove_wp_shortlink'] );
        update_option( '__ipoptz_remove_wp_shortlink', $path );
      }
      if ( ! empty( $_POST['remove_adjacent_links'] )) {
        $path = sanitize_title( $_POST['remove_adjacent_links'] );
        update_option( '__ipoptz_remove_adjacent_links', $path );
      }
      if ( ! empty( $_POST['remove_windows_manifest'] )) {
        $path = sanitize_title( $_POST['remove_windows_manifest'] );
        update_option( '__ipoptz_remove_windows_manifest', $path );
      }
      if ( ! empty( $_POST['remove_wp_version'] )) {
        $path = sanitize_title( $_POST['remove_wp_version'] );
        update_option( '__ipoptz_remove_wp_version', $path );
      }
      if ( ! empty( $_POST['remove_rss_links'] )) {
        $path = sanitize_title( $_POST['remove_rss_links'] );
        update_option( '__ipoptz_remove_rss_links', $path );
      }
      
      if ( ! empty( $_POST['set_expires_static'] )) {
        $path = sanitize_title( $_POST['set_expires_static'] );
        update_option( '__ipoptz_set_expires_static', $path );
      }
      if ( ! empty( $_POST['enabled_gzip'] )) {
        $path = sanitize_title( $_POST['enabled_gzip'] );
        update_option( '__ipoptz_enabled_gzip', $path );
      }
      if ( ! empty( $_POST['disabled_etag'] )) {
        $path = sanitize_title( $_POST['disabled_etag'] );
        update_option( '__ipoptz_disabled_etag', $path );
      }
      if ( ! empty( $_POST['enable_keep_alive'] )) {
        $path = sanitize_title( $_POST['enable_keep_alive'] );
        update_option( '__ipoptz_enable_keep_alive', $path );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPOPTZ_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPOPTZ_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
    }

		/**
		 * Edit .htaccess file
		 *
		 * @return void
		 */
		protected function _editHtaccess()
		{
      $path    = ABSPATH . '.htaccess';

      if ( is_writable( $path ))
      {
        $handle  = fopen( $path, "r" );
        $content = fread( $handle, filesize($path) );
        fclose( $handle );

        $code     = '';
        $precode  = '';
        $postcode = '';
        $parts    = explode( '#START_IPOPTZ', $content );

        if ( ! empty( $parts ) && count( $parts ) > 1 ) {
          $pre     = $parts[1];
          $precode = $parts[0];
          $parts2  = explode( '#END_IPOPTZ', $pre );
          if ( ! empty( $parts2 )) {
            $code = array_shift( $parts2 );

            if ( ! empty( $parts2 )) {
              $postcode = array_shift( $parts2 );
            }
          }
        }
        else {
          $precode = $content;
        }

        //Build .htaccess new code      
        $optEtag = get_option( '__ipoptz_disabled_etag', 'false' );
        $optGzip = get_option( '__ipoptz_enabled_gzip', 'false' );
        $optExp  = get_option( '__ipoptz_set_expires_static', 'false' );
        $optKeep = get_option( '__ipoptz_enable_keep_alive', 'false' );
       
        $newcode  = $precode;
        $newcode .= "\n";
        $newcode .= "\n";
        $newcode .= "#START_IPOPTZ\n";
        if ( $optEtag == 'true' ) {
          $newcode .= IPOptz_Core::getHtaccessEtag();
        }
        if ( $optExp == 'true' ) {
          $newcode .= IPOptz_Core::getHtaccessExpires();
        }
        if ( $optGzip == 'true' ) {
          $newcode .= IPOptz_Core::getHtaccessGzip();
        }
        if ( $optKeep == 'true' ) {
          $newcode .= IPOptz_Core::getKeepAlive();
        }
        $newcode .= "#END_IPOPTZ\n";
        $newcode .= "\n";
        $newcode .= $postcode;

        //Write .htaccess file
        $handle  = fopen( $path, "w+" );
        fwrite( $handle, $newcode );
        fclose( $handle );
      }
		}

	}
}
