<?php
/**
 * Controller to handling updating script options
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPOptz_Ajax_Script' ))
{
	class IPOptz_Ajax_Script
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
      $error = false;
      if ( ! empty( $_POST['scripts_to_footer'] )) {
        $path = sanitize_title( $_POST['scripts_to_footer'] );
        update_option( '__ipoptz_scripts_to_footer', $path );
      }
      if ( ! empty( $_POST['scripts_merge'] )) {
        $path = sanitize_title( $_POST['scripts_merge'] );
        update_option( '__ipoptz_scripts_merge', $path );
      }
      if ( ! empty( $_POST['defer_parsing'] )) {
        $path = sanitize_title( $_POST['defer_parsing'] );
        update_option( '__ipoptz_defer_parsing', $path );
      }
      if ( ! empty( $_POST['remove_script_query'] )) {
        $path = sanitize_title( $_POST['remove_script_query'] );
        update_option( '__ipoptz_remove_script_query', $path );
      }
      if ( ! empty( $_POST['load_from_google'] )) {
        $path = sanitize_title( $_POST['load_from_google'] );
        update_option( '__ipoptz_load_from_google', $path );
      }
      if ( ! empty( $_POST['remove_wp_emoji'] )) {
        $path = sanitize_title( $_POST['remove_wp_emoji'] );
        update_option( '__ipoptz_remove_wp_emoji', $path );
      }
      if ( isset( $_POST['scripts'] )) {
        $path = apply_filters( 'single_post_title', $_POST['scripts'] );
        update_option( '__ipoptz_scripts', $path );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPOPTZ_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPOPTZ_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
		}

	}
}
