<?php
if ( ! class_exists( 'IPOptz_Metabox' )) 
{
	/**
	 * Metabox handler class
	 *
	 * @package wp-swift-page
	 * @author InstaProduct
	 * @link http://insta-product.com/
	 */

	class IPOptz_Metabox extends IPOptz_Viewer
	{
		//{{ viewer

		/**
		 * Print metabox view
		 *
		 * @param  object $post
		 * @return void
		 */
		public function viewer( $post )
		{
      $this->post    = $post;
      $this->scripts = $this->_getRegisteredScripts();
      $this->styles  = $this->_getRegisteredStyles();

      $currents = false;
      $current  = get_post_meta( $post->ID, '__ipoptz_page_scripts', true );
      if ( ! empty( $current )) {
      	$currents = explode( ',', $current );
      }
      $this->currentScripts = $currents;
      $this->savedScripts = get_post_meta( $post->ID, '__ipoptz_page_scripts_saved', true );

      $currents = false;
      $current  = get_post_meta( $post->ID, '__ipoptz_page_styles', true );
      if ( ! empty( $current )) {
      	$currents = explode( ',', $current );
      }
      $this->currentStyles = $currents;
      $this->savedStyles   = get_post_meta( $post->ID, '__ipoptz_page_styles_saved', true );

      //Render view
      $this->view( 'admin/metabox' );
		}

		//}}
		//{{ save

		/**
		 * Save metabox data
		 *
		 * @param  int $postId
		 * @return void
		 */
		public function save( $postId )
		{
			if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
				if ( ! current_user_can( 'edit_page', $postId ) ) {
					return;
				}
			}

			// Check if the user intended to change this value.
			if ( ! isset( $_POST['ipoptz_mbox_nonce'] ) ) {
				return;
			}
			$post_ID	= $_POST['post_ID'];

			//Scripts
			$scripts = sanitize_text_field( $_POST['__ipoptz_page_scripts'] );
			update_post_meta( $post_ID, '__ipoptz_page_scripts', $scripts );
			update_post_meta( $post_ID, '__ipoptz_page_scripts_saved', 1 );

			//Styles
			$styles = sanitize_text_field( $_POST['__ipoptz_page_styles'] );
			update_post_meta( $post_ID, '__ipoptz_page_styles', $styles );
			update_post_meta( $post_ID, '__ipoptz_page_styles_saved', 1 );
		}
		//}}
	}
}