<?php
/**
 * Admin dashboard view
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipoptz-wrap -->
<div id="ipoptz-dashboard" class="wrap ipoptz-wrap ipoptz-admin">
  <!-- start: .ipoptz-inner -->
  <div class="ipoptz-inner">

    <?php
    $this->view( 'admin/general/header' );
    ?>

    <!-- start: .ipoptz-main -->
    <div class="ipoptz-main">
      <!-- start: .ipoptz-primary -->
      <div class="ipoptz-primary ipoptz-form">

        <!-- start: .container -->
        <div class="container-fluid container">

          <div class="ipoptz-box-info mb30 pl15">
            <p class="ipoptz-info">
              <strong class="ipoptz-info-label">
                <?php _e( 'Peak Memory Used:', IPOPTZ_SLUG ); ?>
              </strong>
              <span class="ipoptz-info-value">
                <?php 
                $memory   = memory_get_peak_usage()/1024/1024;
                $memlimit = ini_get( 'memory_limit' );
                echo number_format( $memory, 2, ',', '' ) . ' / ' . $memlimit . '<br />'; 
                ?>
              </span>
            </p>

            <p class="ipoptz-info">
              <strong class="ipoptz-info-label">
                <?php _e( 'Active Plugins:', IPOPTZ_SLUG ); ?>
              </strong>
              <span class="ipoptz-info-value">
                <?php echo count( get_option( 'active_plugins' ) ) ; ?>
              </span>
            </p>
          </div>

          <div class="row">

            <div class="col-md-6">

              <h3 class="ipoptz-field-title mb20 py10">
                <?php _e( 'Home Page Load Stats', IPOPTZ_SLUG ); ?>
              </h3>

              <?php
              if ( $this->gtmetrix ):
              ?>

              <!-- start: .ipoptz-stat-item -->
              <?php
              $class = $this->getPercentClass( $this->gtScore );
              ?>
              <div class="ipoptz-stat-item <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'Page Speed Score', IPOPTZ_SLUG ); ?>
                </div>

                <div class="ipoptz-stat-bar-wrap">
                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $this->gtScore; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $this->gtScore; ?> %</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->

              <!-- start: .ipoptz-stat-item -->
              <?php
              $class = $this->getPercentClass( $this->ysScore );
              ?>
              <div class="ipoptz-stat-item <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'YSlow Score', IPOPTZ_SLUG ); ?>
                </div>

                <div class="ipoptz-stat-bar-wrap">
                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $this->ysScore; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $this->ysScore; ?> %</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->

              <!-- start: .ipoptz-stat-item -->
              <?php
              $percent = 0;
              if ( ! empty( $this->gtLoadTime )) {
                $percent = round( $this->gtLoadTime/5 * 100 );
                if ( $percent > 100 ) {
                  $percent = 100;
                }
              }
              $class = $this->getPercentClass( $percent );
              ?>
              <div class="ipoptz-stat-item <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'Page Load time', IPOPTZ_SLUG ); ?>
                </div>

                <div class="ipoptz-stat-bar-wrap">
                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $percent; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $this->gtLoadTime; ?> seconds</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->

              <!-- start: .ipoptz-stat-item -->
              <?php
              $percent = 0;
              if ( ! empty( $this->gtPageSize )) {
                $percent = round( $this->gtPageSize/1000 * 100 );
                if ( $percent > 100 ) {
                  $percent = 100;
                }
              }
              $class = $this->getPercentClass( $percent );
              ?>
              <div class="ipoptz-stat-item <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'Total Page Size', IPOPTZ_SLUG ); ?>
                </div>

                <div class="ipoptz-stat-bar-wrap">
                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $percent; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $this->gtPageSize; ?> KB</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->

              <!-- start: .ipoptz-stat-item -->
              <?php
              $percent = 0;
              if ( ! empty( $this->gtRequest )) {
                $percent = round( $this->gtRequest/100 * 100 );
                if ( $percent > 100 ) {
                  $percent = 100;
                }
              }
              $class = $this->getPercentClass( $percent );
              ?>
              <div class="ipoptz-stat-item <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'Requests', IPOPTZ_SLUG ); ?>
                </div>
                <div class="ipoptz-stat-bar-wrap">
                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $percent; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $this->gtRequest; ?> requests</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->
              
              <?php 
              else:
              ?>
              <p><em>
                <?php _e( 'Homepage load statistics are not available, you must first determine API GTMetrix on the settings.', IPOPTZ_SLUG ); ?>
              </em></p>
              <?php 
              endif;
              ?>

            </div>

            <div class="col-md-6">
              <h3 class="ipoptz-field-title mb20 py10">
                <?php _e( 'Image Compression Stats', IPOPTZ_SLUG ); ?>
              </h3>

              <?php 
              $imageTotal  = get_option( '__ipoptz_image_compressed_count', 0 );
              $totalSize   = get_option( '__ipoptz_image_compressed_total', 0 );
              $reduction   = get_option( '__ipoptz_image_compressed_saved', 0 );
              $reductionpr = 0;
              if ( ! empty( $reduction ) && ! empty( $totalSize ) ) {
                $reductionpr = round( $reduction/$totalSize * 100 );
              }
              ?>

              <?php
              $percent = 0;
              if ( ! empty( $imageTotal ) && ! empty( $this->allImagesCount ) ) {
                $percent = $imageTotal/$this->allImagesCount * 100;
              }
              $class = $this->getPercentClass( $percent );
              ?>
              <!-- start: .ipoptz-stat-item -->
              <div class="ipoptz-stat-item <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'Total Compressed Image', IPOPTZ_SLUG ); ?>
                </div>

                <div class="ipoptz-stat-bar-wrap">

                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $percent; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $imageTotal; ?> image</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->

              <?php
              $percent = 0;
              if ( ! empty( $reduction ) && ! empty( $totalSize ) ) {
                $percent = $reduction/$totalSize * 100;
              }
              $class = $this->getPercentClass( $percent );
              ?>
              <!-- start: .ipoptz-stat-item -->
              <div class="ipoptz-stat-item <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'Image Size Reductions', IPOPTZ_SLUG ); ?>
                </div>

                <div class="ipoptz-stat-bar-wrap">

                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $percent; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $reduction; ?> KB</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->

              <?php
              $class = $this->getPercentClass( $reductionpr );
              ?>
              <!-- start: .ipoptz-stat-item -->
              <div class="ipoptz-stat-item  <?php echo $class; ?>">
                <div class="ipoptz-stat-label">
                  <?php _e( 'Image Percent Reductions', IPOPTZ_SLUG ); ?>
                </div>

                <div class="ipoptz-stat-bar-wrap">

                  <div class="ipoptz-stat-bar">
                    <div class="ipoptz-stat-bar-indicator" style="width:<?php echo $reductionpr; ?>%;"></div>
                  </div>

                  <div class="ipoptz-stat-value"><?php echo $reductionpr; ?> %</div>

                </div>
              </div>
              <!-- end: .ipoptz-stat-item -->

            </div>

          </div>
        </div>
        <!-- end: .container -->

      </div>
      <!-- end: .ipoptz-primary -->
    </div>
    <!-- end: .ipoptz-main -->

  </div>
  <!-- end: .ipoptz-inner -->
</div>
<!-- end: .ipoptz-wrap -->
