<?php
/**
 * Admin script view
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipoptz-wrap -->
<div id="ipoptz-script" class="wrap ipoptz-wrap ipoptz-admin">
	<!-- start: .ipoptz-inner -->
	<div class="ipoptz-inner">

		<?php
		$this->view( 'admin/general/header' );
		?>

		<!-- start: .ipoptz-main -->
		<div class="ipoptz-main">
			<!-- start: .ipoptz-primary -->
			<div class="ipoptz-primary">

				<!-- start: .ipoptz-manage-wrap -->
				<div class="ipoptz-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipoptz=1&action=script';
          ?>
          <!-- start: .ipoptz-form -->
          <form id="ipoptz-form-script" class="ipoptz-form-container ipoptz-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

          	<!-- start: .container -->
            <div class="container-fluid container">

              <!-- start: .ipoptz-fields -->
              <div class="ipoptz-fields">

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-scripts-to-footer">
			<?php _e( 'Move Scripts to The Footer', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_scripts_to_footer', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="scripts_to_footer" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to move all scripts to bottom of your site.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-scripts-merge">
			<?php _e( 'Merge Scripts to One File', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_scripts_merge', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="scripts_merge" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to merge all scripts to one file.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-defer-parsing">
			<?php _e( 'Defer Parsing of Javascript Files', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_defer_parsing', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="defer_parsing" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to defer parsing of javascript files.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-query-strings">
			<?php _e( 'Remove Query Strings', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_script_query', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_script_query" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to remove query-strings.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-load-from-google">
			<?php _e( 'Load JS from Google Libraries', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_load_from_google', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="load_from_google" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to load some javascript from google libraries.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-font-awesome">
			<?php _e( 'Removes WP Emoji Script', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_wp_emoji', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_wp_emoji" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to removes WP Emoji Script.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<?php
if ( ! empty( $this->pluginScripts )) :
?>

<h3 class="ipoptz-field-title mb20 py10">
  <?php _e( 'Manage Plugin Scripts', IPOPTZ_SLUG ); ?>
</h3>

<div class="ipoptz-dep-manage ipoptz-dep-script">

	<table class="ipoptz-script-options ipoptz-dep-table">
		<?php
		$values   = array();
		$currents = get_option( '__ipoptz_scripts' );
		if ( ! empty( $currents )) {
			$values = explode( ',', $currents );
		}

		foreach( $this->pluginScripts as $name => $src ) :

			if ( in_array( $name, $values ) ) :
			?>

			<tr class="ipoptz-script-option ipoptz-script-removed" data-id="<?php echo $name; ?>">
				<td><del><?php echo $name; ?></del></td>
				<td><del><?php echo $src; ?></del></td>
				<td>
					<a href="#<?php echo $name; ?>" class="ipoptz-script-remove" style="display:none;">
						<i class="ipoptz-fa ipoptz-fa-times"></i>
					</a>
					<a href="#<?php echo $name; ?>" class="ipoptz-script-restore">
						<i class="ipoptz-fa ipoptz-fa-check"></i>
					</a>
				</td>
			</tr>

			<?php
			else :
			?>

			<tr class="ipoptz-script-option ipoptz-script-active" data-id="<?php echo $name; ?>">
				<td><?php echo $name; ?></td>
				<td><?php echo $src; ?></td>
				<td>
					<a href="#<?php echo $name; ?>" class="ipoptz-script-remove">
						<i class="ipoptz-fa ipoptz-fa-times"></i>
					</a>
					<a href="#<?php echo $name; ?>" class="ipoptz-script-restore" style="display:none;">
						<i class="ipoptz-fa ipoptz-fa-check"></i>
					</a>
				</td>
			</tr>
			<?php
			endif;
			?>

		<?php
		endforeach;
		?>
	</table>

	<?php
	$values  = get_option( '__ipoptz_scripts', '' );
	?>
	<input type="hidden" class="ipoptz-dep-values" name="scripts" value="<?php echo $values; ?>">

</div>

<?php
endif;
?>

<div class="ipoptz-bottom-submit mt20 mb30">
  <button type="submit" class="ipoptz-form-submit ipoptz-btn ipoptz-btn-secondary ipoptz-btn-lg" id="do-save-setting" name="save_setting">
    <i class="ipoptz-fa ipoptz-fa-floppy-o"></i>
    <strong><?php _e( 'Save Change', IPOPTZ_SLUG ); ?></strong>
  </button>
</div>


							</div>
							<!-- end: .ipoptz-fields -->

						</div>
						<!-- end: .container -->
					</form>
					<!-- end: .ipoptz-form -->
				</div>
				<!-- end: .ipoptz-manage-wrap -->

			</div>
			<!-- end: .ipoptz-primary -->
		</div>
		<!-- end: .ipoptz-main -->

	</div>
	<!-- end: .ipoptz-inner -->
</div>
<!-- end: .ipoptz-wrap -->